Bug 458911 - umount failed after umount the NFS share
umount failed after umount the NFS share
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 01:25 EDT by masanari iida
Modified: 2014-06-18 03:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-19 07:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masanari iida 2008-08-13 01:25:32 EDT
Description of problem:
NFS exported filesystem can not be unmuont even though
all nfs-clients unmount the share.


Version-Release number of selected component (if applicable):
RHEL4.7 (kernel 2.6.9-78)
nfs-utils-1.0.6-87.EL4

How reproducible:
Always

Steps to Reproduce:
1. Setup NFS server.
 mount /nfs.
 setup /etc/exports dir.
 Start nfs daemon. 

2. Mount the NFS share from NFS client.
 # mount NFS_Server:/nfs  /mnt

This NFS mount succesful.

3. Umount the NFS share from NFS client.
 # umount /mnt

This NFS umount succesful.

4. Umount /nfs on NFS Server.
 # umount /nfs

Actual results:
Umount fail with following message.

# umount /nfs
umount: /nfs: device is busy
umount: /nfs: device is busy

Expected results:
umount successful without error message.

Workaround: 
(1) umount -l /nfs 
(2) /etc/init.d/nfs restart, then umount /nfs

Additional info:
When umount failed,
 lsof shows no process accessing /nfs
 fuser shows no process accessing /nfs
Comment 1 masanari iida 2008-08-13 01:46:56 EDT
Hello,

Another workaround that I just found was, 
remove export entry in kernel before issue umount.

# exportfs -au 
# umount /nfs

So, my question would be,
" Umount a file system while it was exported by NFS
 got faild. Is this a bug or expected? "

Thanks
Comment 2 Jeff Layton 2008-08-19 07:25:42 EDT
This is expected. An actively exported a filesystem has an active reference and cannot be unmounted. I'm going to close this as NOTABUG. Please reopen it if you have further questions.

Note You need to log in before you can comment on or make changes to this bug.